<ngx-loading [show]="isLoadingUpdate$ | async" />

<div [ngClass]="[jds.card, jds.mb(20)]">
  <div [ngClass]="[jds.cardBody, jds.p(24)]">
    <ng-container *ngIf="isLoadingRead$ | async">
      <div class="wrapper-skeleton">
        <ngx-skeleton-loader
          [theme]="{
            width: '90%',
            'border-radius': '0',
            height: '28px',
            'margin-bottom': '10px'
          }"
        />
      </div>
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [40, 30]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </ng-container>

    <ng-container *ngIf="(isLoadingRead$ | async) === false">
      <ng-container *ngIf="data$ | async as row">
        <div [ngClass]="className.header">
          <h6 [ngClass]="className.title">{{ row.name }}</h6>
          <div
            [ngClass]="className.action"
            [style.flexShrink]="0"
          >
            <ng-container *ngIf="!accessTableau">
              <button
                [ngClass]="[jds.button, jds.buttonPrimary, jds.d('flex')]"
                disabled
                type="button"
              >
                <span>Unduh Visualisasi</span>
                <jds-bi-icon
                  [ngClass]="[jds.ms(8)]"
                  name="chevron-down"
                />
              </button>
            </ng-container>

            <ng-container *ngIf="accessTableau">
              <jds-bi-hosted-dropdown
                [(open)]="isDropdownDownload"
                [jdsBiDropdownLimitWidth]="'auto'"
                [content]="dropdownDownload"
              >
                <button
                  [ngClass]="[jds.button, jds.buttonPrimary, jds.d('flex')]"
                  type="button"
                >
                  <span>Unduh Visualisasi</span>
                  <jds-bi-icon
                    [ngClass]="[jds.ms(8)]"
                    name="chevron-down"
                  />
                </button>
              </jds-bi-hosted-dropdown>

              <ng-template #dropdownDownload>
                <ul
                  [ngClass]="[jds.dropdownMenu]"
                  [style.minWidth.px]="150"
                >
                  <li [ngClass]="[jds.dropdownNavbarItem]">
                    <a
                      [ngClass]="[jds.dropdownNavbarLink]"
                      (click)="accessTableau && exportImage()"
                    >
                      Gambar
                    </a>
                  </li>
                  <li [ngClass]="[jds.dropdownNavbarItem]">
                    <a
                      [ngClass]="[jds.dropdownNavbarLink]"
                      (click)="accessTableau && exportPDF()"
                    >
                      PDF
                    </a>
                  </li>
                </ul>
              </ng-template>
            </ng-container>

            <ng-container *ngIf="satudataUser.role_name === 'walidata'">
              <jds-bi-hosted-dropdown
                [(open)]="isDropdownAction"
                [jdsBiDropdownLimitWidth]="'auto'"
                [jdsBiDropdownAlign]="'right'"
                [content]="dropdownAction"
              >
                <button
                  [ngClass]="[
                    jds.button,
                    jds.buttonDefault,
                    jds.d('flex'),
                    jds.ms(10)
                  ]"
                  type="button"
                >
                  <jds-bi-icon name="ellipsis" />
                </button>
              </jds-bi-hosted-dropdown>

              <ng-template #dropdownAction>
                <ul
                  [ngClass]="[jds.dropdownMenu]"
                  [style.minWidth.px]="150"
                >
                  <ng-container *ngIf="row.is_active === true">
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        [routerLink]="['/my-visualization/edit/', row.id]"
                        [queryParams]="{ from: 'visualization-detail' }"
                      >
                        Ubah
                      </a>
                    </li>
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onArchive(row.id)"
                      >
                        Arsipkan
                      </a>
                    </li>
                  </ng-container>
                  <ng-container *ngIf="row.is_active === false">
                    <li [ngClass]="[jds.dropdownNavbarItem]">
                      <a
                        [ngClass]="[jds.dropdownNavbarLink]"
                        (click)="onActive(row.id)"
                      >
                        Aktifkan
                      </a>
                    </li>
                  </ng-container>
                </ul>
              </ng-template>
            </ng-container>
          </div>
        </div>

        <div [ngClass]="[jds.d('flex'), jds.alignItems('start')]">
          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(8),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Tanggal Diperbarui
            </div>
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="calendar"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ moment(row.mdate).locale('id').format('DD MMMM YYYY') }}
              </span>
            </div>
          </div>

          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(8),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Klasifikasi
            </div>
            <span
              [colorScheme]="getClassificationColor(row.dataset_class.id)"
              jdsBiBadge
            >
              {{ row.dataset_class.name }}
            </span>
          </div>

          <div [ngClass]="jds.me(48)">
            <div
              [ngClass]="[
                jds.fs(14),
                jds.mb(8),
                jds.text(jdsBiColor.gray['600'])
              ]"
              [style.lineHeight.px]="20"
            >
              Topik
            </div>
            <div
              [ngClass]="[jds.d('flex')]"
              [style.verticalAlign]="'middle'"
            >
              <jds-bi-icon
                [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                name="book"
              />
              <span
                [ngClass]="[jds.fs(14)]"
                [style.position]="'relative'"
                [style.top.px]="1"
                [style.lineHeight.px]="23"
              >
                {{ row.sektoral.name }}
              </span>
            </div>
          </div>
        </div>
      </ng-container>
    </ng-container>

    <div [ngClass]="jds.mt(40)">
      <div [hidden]="!accessTableau">
        <div
          id="vizContainer"
          #myDiv
          [ngClass]="[jds.d('flex'), jds.justifyContent('center')]"
        ></div>
        <div [ngClass]="className.hiddenToolbar"></div>
      </div>

      <ng-container
        *ngIf="!accessTableau && accessInfoTableau === 'can_access'"
      >
        <div [ngClass]="[jds.alert, jds.alertDanger]">
          <div [ngClass]="[jds.d('flex')]">
            <div [ngClass]="[jds.alertIcon]">
              <jds-bi-icon
                [ngClass]="jds.me(16)"
                name="user-lock"
              />
            </div>
            <div>
              Untuk melihat visualisasi ini dibutuhkan izin akses khusus. <br />
              Silakan hubungi Walidata melalui nomor Whatsapp ({{ whatsapp }})
              atau email (data&#64;jabarprov.go.id) untuk mendapatkan akses.
            </div>
          </div>
        </div>
      </ng-container>

      <ng-container
        *ngIf="!accessTableau && accessInfoTableau === 'error_response'"
      >
        <div [ngClass]="[jds.alert, jds.alertDanger]">
          <div [ngClass]="[jds.d('flex')]">
            <div [ngClass]="[jds.alertIcon]">
              <jds-bi-icon
                [ngClass]="jds.me(16)"
                name="ban"
              />
            </div>
            <div>
              {{ errorTableau }}
            </div>
          </div>
        </div>
      </ng-container>
    </div>
  </div>
</div>
